=== docs/requirements.txt ===
alabaster==0.7.12; python_version >= "3.6"
astroid==2.9.3; python_full_version >= "3.6.2"
astunparse==1.6.3; python_version < "3.9" and python_full_version >= "3.6.2"
atomicwrites==1.4.0; python_version >= "3.6" and python_full_version < "3.0.0" and sys_platform == "win32" or sys_platform == "win32" and python_version >= "3.6" and python_full_version >= "3.4.0"
attrs==21.4.0; python_full_version >= "3.5.4" and python_version >= "3.6" and (python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6") and (python_version >= "3.6" and python_full_version < "3.0.0" and python_version < "4.0" or python_version >= "3.6" and python_version < "4.0" and python_full_version >= "3.5.0")
automat==20.2.0; python_full_version >= "3.5.4"
babel==2.9.1; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.4.0" and python_version >= "3.6"
black==22.1.0; python_full_version >= "3.6.2"
cached-property==1.5.2; python_version < "3.8" and python_full_version >= "3.6.2"
certifi==2021.10.8; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.6"
charset-normalizer==2.0.11; python_full_version >= "3.6.0" and python_version >= "3.6"
click==8.0.3; python_version >= "3.6" and python_full_version >= "3.6.2"
colorama==0.4.4; sys_platform == "win32" and python_version >= "3.6" and python_full_version >= "3.6.2" and (python_version >= "2.7" and python_full_version < "3.0.0" and platform_system == "Windows" or python_full_version >= "3.5.0" and platform_system == "Windows") and platform_system == "Windows" and (python_version >= "3.6" and python_full_version < "3.0.0" and sys_platform == "win32" or sys_platform == "win32" and python_version >= "3.6" and python_full_version >= "3.5.0")
constantly==15.1.0; python_full_version >= "3.5.4"
coverage==6.2; python_version >= "3.6"
dataclasses==0.8; python_version >= "3.6" and python_version < "3.7" and python_full_version >= "3.6.2"
distlib==0.3.4; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
docutils==0.17.1; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6"
extras==1.0.0; python_version >= "3.5"
filelock==3.4.1; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6"
fixtures==3.0.0; python_version >= "3.5"
ghp-import==2.0.2; python_version >= "3.6" and python_full_version >= "3.6.2"
hyperlink==21.0.0; python_full_version >= "3.5.4"
idna==3.3; python_version >= "3.5" and python_full_version >= "3.5.4" and (python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.6")
imagesize==1.3.0; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.4.0" and python_version >= "3.6"
importlib-metadata==4.8.3; python_version < "3.8" and python_version >= "3.6" and (python_version >= "3.6" and python_full_version < "3.0.0" and python_version < "3.8" or python_full_version >= "3.5.0" and python_version < "3.8" and python_version >= "3.6") and (python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6") and python_full_version >= "3.6.2"
importlib-resources==5.4.0; python_version >= "3.6" and python_full_version < "3.0.0" and python_version < "3.7" or python_full_version >= "3.5.0" and python_version < "3.7" and python_version >= "3.6"
incremental==21.3.0; python_full_version >= "3.5.4"
iniconfig==1.1.1; python_version >= "3.6"
isort==5.10.1; python_full_version >= "3.6.1" and python_version < "4.0"
jinja2==3.0.3; python_version >= "3.6" and python_full_version >= "3.6.2"
lazy-object-proxy==1.7.1; python_version >= "3.6" and python_full_version >= "3.6.2"
markdown-include==0.6.0
markdown-it-py==2.0.1; python_version >= "3.6" and python_version < "4.0"
markdown==3.3.6; python_version >= "3.6" and python_full_version >= "3.6.2" and python_full_version < "4.0.0"
markupsafe==2.0.1; python_version >= "3.6" and python_full_version >= "3.6.2"
mccabe==0.6.1; python_full_version >= "3.6.2"
mdit-py-plugins==0.3.0; python_version >= "3.6" and python_version < "4.0"
mdurl==0.1.0; python_version >= "3.6" and python_version < "4.0"
mergedeep==1.3.4; python_version >= "3.6" and python_full_version >= "3.6.2"
mkdocs-autorefs==0.3.1; python_full_version >= "3.6.2" and python_full_version < "4.0.0"
mkdocs-material-extensions==1.0.3; python_version >= "3.6"
mkdocs-material==8.1.9; python_version >= "3.6"
mkdocs==1.2.3; python_version >= "3.6" and python_full_version >= "3.6.2" and python_full_version < "4.0.0"
mkdocstrings==0.17.0; python_full_version >= "3.6.2"
mypy-extensions==0.4.3; python_version >= "3.6" and python_full_version >= "3.6.2"
mypy==0.931; python_version >= "3.6"
myst-parser==0.16.1; python_version >= "3.6"
packaging==21.3; python_full_version >= "3.6.2" and python_version >= "3.6"
pathspec==0.9.0; python_full_version >= "3.6.2"
pbr==5.8.0; python_version >= "3.5"
platformdirs==2.4.0; python_version >= "3.6" and python_full_version >= "3.6.2" and (python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6")
pluggy==1.0.0; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6"
py==1.11.0; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6"
pygments==2.11.2; python_version >= "3.6"
pylint==2.12.2; python_full_version >= "3.6.2"
pymdown-extensions==9.1; python_version >= "3.6" and python_full_version >= "3.6.2"
pyparsing==3.0.7; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.5.0" and python_version >= "3.6"
pytest-cov==3.0.0; python_version >= "3.6"
pytest==7.0.0; python_version >= "3.6"
python-dateutil==2.8.2; python_version >= "3.6" and python_full_version >= "3.6.2"
python-subunit==1.4.0
pytkdocs==0.15.0; python_full_version >= "3.6.2"
pytz==2021.3; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.4.0" and python_version >= "3.6"
pyyaml-env-tag==0.1; python_version >= "3.6" and python_full_version >= "3.6.2"
pyyaml==6.0; python_version >= "3.6" and python_full_version >= "3.6.2"
requests==2.27.1; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version >= "3.6"
six==1.16.0; python_full_version >= "3.6.2" and python_version >= "3.6" and python_version < "3.9"
snowballstemmer==2.2.0; python_version >= "3.6"
sphinx==4.4.0; python_version >= "3.6"
sphinxcontrib-applehelp==1.0.2; python_version >= "3.6"
sphinxcontrib-devhelp==1.0.2; python_version >= "3.6"
sphinxcontrib-htmlhelp==2.0.0; python_version >= "3.6"
sphinxcontrib-jsmath==1.0.1; python_version >= "3.6"
sphinxcontrib-qthelp==1.0.3; python_version >= "3.6"
sphinxcontrib-serializinghtml==1.1.5; python_version >= "3.6"
teamcity-messages==1.30
testtools==2.5.0; python_version >= "3.5"
toml==0.10.2; python_full_version >= "3.6.2"
tomli==1.2.3; python_version >= "3.6" and python_full_version >= "3.6.2"
tox==3.24.5; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.5.0")
twisted-iocpsupport==1.0.2; platform_system == "Windows" and python_full_version >= "3.5.4"
twisted==21.2.0; python_full_version >= "3.5.4"
typed-ast==1.5.2; python_version < "3.8" and python_version >= "3.6" and implementation_name == "cpython" and python_full_version >= "3.6.2"
typing-extensions==4.0.1; python_version < "3.8" and python_full_version >= "3.6.2" and python_version >= "3.6" and (python_version >= "3.6" and python_full_version < "3.0.0" and python_version < "3.8" or python_full_version >= "3.5.0" and python_version < "3.8" and python_version >= "3.6")
urllib3==1.26.8; python_version >= "3.6" and python_full_version < "3.0.0" or python_full_version >= "3.6.0" and python_version < "4" and python_version >= "3.6"
virtualenv==20.13.1; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
watchdog==2.1.6; python_version >= "3.6" and python_full_version >= "3.6.2"
wrapt==1.13.3; python_full_version >= "3.6.2"
zipp==3.6.0; python_version < "3.8" and python_version >= "3.6" and (python_version >= "3.6" and python_full_version < "3.0.0" and python_version < "3.8" or python_full_version >= "3.5.0" and python_version < "3.8" and python_version >= "3.6") and (python_version >= "3.6" and python_full_version < "3.0.0" and python_version < "3.7" or python_full_version >= "3.5.0" and python_version < "3.7" and python_version >= "3.6")
zope.exceptions==4.4; python_version >= "2.7" and python_full_version < "3.0.0" or python_full_version >= "3.5.0"
zope.interface==5.4.0; python_full_version >= "3.5.4"
zope.testrunner==5.4.0; (python_version >= "2.7" and python_full_version < "3.0.0") or (python_full_version >= "3.5.0")
